﻿using System;
using System.Collections.ObjectModel;
using System.Linq;
using System.Windows;
using System.Windows.Data;

namespace TreeView_WPF_CollectionViewSource
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			CollectionViewSource cvs = Application.Current.Resources["ManagerView"] as CollectionViewSource;
			cvs.Source = GenerateItems();
		}

		private ObservableCollection<DataItem> GenerateItems()
		{
			ObservableCollection<DataItem> source = new ObservableCollection<DataItem>();
			for (int i = 0; i <	3; i++)
			{
				source.Add(new DataItem() { Header = string.Format("Header {0}", i) });
				for (int j = 0; j < 2; j++)
				{
					source[i].Children.Add(new DataItem() { Header = string.Format("Child {0}", j) });
				}
			}
			
			return source;
		}
	}

	public class DataItem
	{
		public DataItem()
		{
			this.Children = new ObservableCollection<DataItem>();
		}
		public ObservableCollection<DataItem> Children { get; set; }
		public string Header { get; set; }
	}
}
